<?php
if (file_exists("embedded/functions/site_functions.php"))
	{
	include_once("embedded/functions/site_functions.php");
	}
else
	{
include_once("../../embedded/functions/site_functions.php");
	}
$device_id=$_SESSION['device_id'];
$language=$_SESSION['language'];
if ($language==1)
	{
	$head1="Χωρίς";
	$head2="Ημέρα";
	$head3="Εβδομάδα";
	$head4="Μήνα";
	$head5="Χρόνο";
	$head6="Ρυθμίσεις αισθητήρων:";
	$head7="Ξαφνική ατμοσφαιρική αλλαγή";
	$head8="Αισθητήρας εκτός λειτουργίας";
	$head9="Αποστολή αναφοράς κάθε:";
	$head10="Ειδοποιήσεις:";
	$head11="Ρυθμίσεις συσκευών:";
	$head12="Γενικά:";
	$head13="Απώλεια σύνδεσης";
	$head14="Επικοινωνία:";
	$head15="Επαφή μέσω ηλεκτρονικής αλληλογραφίας";
	$head16="Αποθήκευση";
	$head17="Ακύρωση";
	$title11="Ξαφνική ατμοσφαρική αλλαγή σημαίνει ακραίες συνθήκες ή βλάβη συστήματος!";
	$title12="Αισθητήρας δεν λαμβάνει μετρήσεις!";
	$title13="Η συσκευή του θερμοκηπίου δεν επικοινωνεί με το διαδίκτυο!";
	}
else
	{
	$head1="No";
	$head2="Day";
	$head3="Week";
	$head4="Month";
	$head5="Year";
	$head6="Sensors options";
	$head7="Sudden change in atmosphere";
	$head8="Sensor is not working";
	$head9="Send report every:";
	$head10="Notifications:";
	$head11="Manage Devices:";
	$head12="General:";
	$head13="Connection lost";
	$head14="Contact:";
	$head15="Contact by email";
	$head16="Save";
	$head17="Clear";
	$title11="Sudden change stands for extreme conditions or current problems";
	$title12="Sensor does not read!";
	$title13="The device does not communicate with server!";
	}
db_open();
$sql="SELECT * FROM users WHERE device_id='$device_id'";
@ $result=mysql_query($sql);
if($result!=0)
	{
	$row=mysql_fetch_array($result);
	$changes=$row['changes'];
	if($changes==1)
		{
		$changes='checked="yes"';
		}
	else
		{
		$changes="";
		}
	$troubleshoot=$row['troubleshoot'];
		if($troubleshoot==1)
		{
		$troubleshoot='checked="yes"';
		}
	else
		{
		$troubleshoot="";
		}
	$lost=$row['lost'];
	if($lost==1)
		{
		$lost='checked="yes"';
		}
	else
		{
		$lost="";
		}
	$sensor_overview=$row['sensor_overview'];
	if ($sensor_overview!=0)
		{
		$sensor_overview='s'.$sensor_overview;
		}
	else
		{
		$sensor_overview="";
		}
	$device_overview=$row['device_overview'];
	if ($device_overview!=0)
		{
		$device_overview='d'.$device_overview;
		}
	else
		{
		$device_overview="";
		}
	}
db_close();
$data=array();
$data[0]="$head1";
$data[1]="$head2";
$data[2]="$head3";
$data[3]="$head4";
$data[4]="$head5";	
echo<<<l
<div id="marginn">
<table id="p_i" class='margin2'>
<tr><td class="p_i_title">$head6</td><td><a class="im">$head10</a><br />
<input id="1" type="checkbox" name="notify_atmosphere" $changes value="atmosphere" onclick="enable(2,1);" ><a title="$title11">$head7</a></input><br />
<input id="2" type="checkbox" name="notify_troubleshoot" $troubleshoot value="troubleshoot" onclick="enable(2,2);"><a title="$title12">$head8</a></input><br />
<a class="im">$head9</a><select id="4" name='frequency_sensors' onclick="enable(2,4);">
l;
for($i=0;$i<=4;$i++)
	{
	$a=$i;
	$x="s".$i;
	if ($x==$sensor_overview)
		{
		$s='selected="Yes"';
		}
	else
		{
		$s="";
		}
	echo '<option value="'.$x.'"'.$s.'>'.$data[$a].'</option>';	
	}
echo<<<a
</select></td></tr>
<tr><td class="p_i_title">$head11
</td>
<td>
<a class="im">$head9</a>
<select id="5" name='frequency_devices' onclick="enable(2,5);">
a;
for($i=0;$i<=4;$i++)
	{
	$a=$i;
	$x="d".$i;
	if ($x==$device_overview)
		{
		$s='selected="Yes"';
		}
	else
		{
		$s="";
		}
	echo '<option value="'.$x.'"'.$s.'>'.$data[$a].'</option>';	
	}
echo<<<a
</select>
</td></tr>
<tr><td class="p_i_title">$head12</td>
<td>
<input id="3" type="checkbox" name="notify_connection_lost" $lost value="lost" onclick="enable(2,3);" ><a title="$title13">$head13</a></input><br />
</td></tr>
<tr><td class="p_i_title">$head14</td>
<td>
<a class="im">$head15</a>
</td></tr>
</table>
<a class="imb">
<input id="6" type="button" value="$head16" disabled="true" onclick="save(1);" />
<input id="7" type="reset" value="$head17" onclick="clear_machine_info();" />
<div id="summary_profile"> </div>
</a>
</div>
a;
?>

